package inn.ocsf.bee.freigeld.core.repo;

import inn.ocsf.bee.freigeld.core.model.CoinValue;
import inn.ocsf.bee.freigeld.core.model.data.CoinData;
import org.jetbrains.annotations.NotNull;

public interface CoinRepositoryCustom {

    @NotNull
    CoinData create(@NotNull CoinValue value, @NotNull Integer era);

    @NotNull
    Long getOverall();
}
